"""PDF to text file converter for Document Library"""

from os import listdir, popen, remove
from time import time

content_type = 'application/pdf'

content_description = """Adobe Acrobat PDF [<a href="http://www.adobe.com/products/acrobat/readstep2.html" target="_blank">Download Acrobat Reader</a>]"""

# Uses the built-in linux pdftotext command, and assumes it is in the path
# Requires write access to /tmp

def convert(documentFile):
    """Convert pdf data to raw text"""
    
    tmp_name = documentFile._writeToTempFile()
    text = popen('pdftotext %s -' % tmp_name).read()
    remove(tmp_name)
    
    return text
